{% extends '../../base.html'%}
{% block main %}
{% load static %}

<style>
  .table-container {
    width: 100%;
  }
</style>
<div class="container conatiner-all d-flex position-relative">
  {% include "../../components/quick_access.html" %}
  <div class="table-container">
    <p class="text-center fs-4 mt-3">Liste des demande de réparations</p>
    <div class="sort">
      <div class="select">
        <select id="status"class="form-select"aria-label="Default select example">
          <option value="0" selected>Tout</option>
          {% for id, status in repair_status.items %}
            <option value="{{ id }}">{{ status }}</option>
          {% endfor %}
        </select>
      </div>
      <div class="search">
        <div class="input-group">
          <input placeholder="Recharcher ..." type="text" class="form-control px-2" aria-label="Sizing example input" aria-describedby="inputGroup-sizing-default" id="inputSearchQ"/>
          <span class="input-group-text" id="inputGroup-sizing-default" title="Recharcher par le numéro de suivi ou par la siret">
            <i class="fa-solid fa-magnifying-glass"></i>
          </span>
        </div>
      </div>
    </div>
    <table class="table">
      <thead>
        <tr style="font-size: 0.9rem">
          <th scope="col">N° demande</th>
          <th scope="col">N° de série<br>Drone</th>
          <th scope="col">Statut<br>Date</th>
        </tr>
      </thead>
      <tbody class="table-group-divider" style="font-size: 0.8rem">
        {% for repair in repairs %}
        <tr data-readed="{{ repair.readed }}" data-status="{{ repair.status }}" class="{{ repair.get_stage_color_class }} {{ repair.readed }}">
          <td>
            <a href="{% url 'repair' id=repair.id %}">
              {{ repair.repair_number }}</a>
          </td>
          <td>
            {{ repair.drone_siret|slice:"20" }}
            {% if repair.name %}
              <br>
              {{ repair.name|slice:"20" }}
            {% endif %}
          </td>
          <td>
            {{ repair.get_franch_phrase }}
            <br>
            {{ repair.created }}
          </td>
        </tr>
        {% endfor %}
      </tbody>
    </table>
  </div>
</div>
<script>
  const select = document.querySelector("select#status");
  const input = document.querySelector("#inputSearchQ");
  select.addEventListener("change", (e) => {
    const status = e.target.value;
    sortTableRepairForAdminWithSelect(status);
  });
  input.addEventListener("input", (e) => {
    const q = e.target.value;
    sortTableRepairForAdminWithInput(q);
  });

</script>
{% endblock main%}
